org.jetlang.remote.acceptor

## Class NioJetlangRemotingClientFactory

- java.lang.Object
- - org.jetlang.remote.acceptor.NioJetlangRemotingClientFactory

All Implemented Interfaces:
  NioAcceptorHandler.ClientFactory

    public class NioJetlangRemotingClientFactory
    extends Object
    implements NioAcceptorHandler.ClientFactory

### Nested Class Summary

Nested Classes
`static interface` `NioJetlangRemotingClientFactory.Handler`
`static class` `NioJetlangRemotingClientFactory.Hb`
`static class` `NioJetlangRemotingClientFactory.Id`

### Constructor Summary

Constructors
Constructor and Description
`NioJetlangRemotingClientFactory(Serializer serializer, JetlangSessionConfig config, NioJetlangRemotingClientFactory.Handler handler, NioJetlangSendFiber sendFiber, Charset charset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onAccept(org.jetlang.fibers.NioFiber fiber, org.jetlang.fibers.NioControls controls, SelectionKey key, SocketChannel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioJetlangRemotingClientFactory

    public NioJetlangRemotingClientFactory(Serializer serializer,
                                           JetlangSessionConfig config,
                                           NioJetlangRemotingClientFactory.Handler handler,
                                           NioJetlangSendFiber sendFiber,
                                           Charset charset)

### Method Detail

#### onAccept

    public void onAccept(org.jetlang.fibers.NioFiber fiber,
                         org.jetlang.fibers.NioControls controls,
                         SelectionKey key,
                         SocketChannel channel)

Specified by:
  `onAccept` in interface `NioAcceptorHandler.ClientFactory`